;  EISA configuration file for Cisco CDDI/FDDI EISA Adapter
;
;  (C)Copyright Cisco Systems Inc.
;  (C)Copyright 1992
;
;  CFG file version 1.3
;

; Board Identification Block
;
BOARD
   ID = "CRS3204"
   NAME = "Cisco CDDI/FDDI EISA Adapter"
   MFR = "Cisco Systems Inc."
   CATEGORY = "NET"
   SLOT = EISA
   LENGTH = 275
   AMPERAGE = 2000       ; in mA
   READID = YES          ; readable Product ID
   BUSMASTER = 999       ; bus latency
   IOCHECK = INVALID     ; IOCHKERR bit not supported
   DISABLE = SUPPORTED   ; usage of ENABLE bit

;   COMMENTS = ""
;   HELP = ""
;
; Initialization Information block
;
; I/O Port Initialization Statement Block
;
IOPORT(1) = 0zC84h                          ; POS Control Reg
   SIZE = DWORD
   INITVAL = LOC(0) x                       ; Disable card

IOPORT(2) = 0zC90h                          ; Base Address register 0
   SIZE = DWORD

IOPORT(3) = 0zC94h                          ; Base Address register 1
   SIZE = DWORD

IOPORT(4) = 0zC98h                          ; Base Address register 2
   SIZE = DWORD


FUNCTION = "Cisco CDDI/FDDI Adapter"
  TYPE = "NET"
  SHOW = YES
  COMMENTS = "Configure the Cisco CDDI/FDDI EISA Adapter"
  SUBFUNCTION = "Interrupt Selection"
    CHOICE = "IRQ 11 level triggered"
      SUBTYPE = "IRQ11"
      FREE
        IRQ = 11
          SHARE = NO
          TRIGGER = LEVEL

    CHOICE = "IRQ 15 level triggered"
      SUBTYPE = "IRQ15"
      FREE
        IRQ = 15
          SHARE  = NO
          TRIGGER = LEVEL

    CHOICE = "IRQ 12 level triggered"
      SUBTYPE = "IRQ12"
      FREE
        IRQ = 12
          SHARE = NO
          TRIGGER = LEVEL

    CHOICE = "IRQ 9  level triggered"
      SUBTYPE = "IRQ9"
      FREE
        IRQ = 9
          SHARE = NO
          TRIGGER = LEVEL

    CHOICE = "IRQ 7  level triggered"
      SUBTYPE = "IRQ7"
      FREE
        IRQ = 7
          SHARE = NO
          TRIGGER = LEVEL

    CHOICE = "IRQ 5  level triggered"
      SUBTYPE = "IRQ5"
      FREE
        IRQ = 5
          SHARE = NO
          TRIGGER = LEVEL

    CHOICE = "IRQ 3  level triggered"
      SUBTYPE = "IRQ3"
      FREE
        IRQ = 3
          SHARE = NO
          TRIGGER = LEVEL


  SUBFUNCTION = "Memory Base Address Selection"
      CHOICE = "C8000h"
      SUBTYPE = "MEMC8000"
      FREE
        MEMORY = 8K
          ADDRESS = 000C8000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "CA000h"
      SUBTYPE = "MEMCA000"
      FREE
        MEMORY = 8K
          ADDRESS = 000CA000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "CC000h"
      SUBTYPE = "MEMCC000"
      FREE
        MEMORY = 8K
          ADDRESS = 000CC000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "CE000h"
      SUBTYPE = "MEMCE000"
      FREE
        MEMORY = 8K
          ADDRESS = 000CE000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "D0000h"
      SUBTYPE = "MEMD0000"
      FREE
        MEMORY = 8K
          ADDRESS = 000D0000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "D2000h"
      SUBTYPE = "MEMD2000"
      FREE
        MEMORY = 8K
          ADDRESS = 000D2000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "D4000h"
      SUBTYPE = "MEMD4000"
      FREE
        MEMORY = 8K
          ADDRESS = 000D4000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "D6000h"
      SUBTYPE = "MEMD6000"
      FREE
        MEMORY = 8K
          ADDRESS = 000D6000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "D8000h"
      SUBTYPE = "MEMD8000"
      FREE
        MEMORY = 8K
          ADDRESS = 000D8000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "DA000h"
      SUBTYPE = "MEMDA000"
      FREE
        MEMORY = 8K
          ADDRESS = 000DA000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "DC000h"
      SUBTYPE = "MEMDC000"
      FREE
        MEMORY = 8K
          ADDRESS = 000DC000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "DE000h"
      SUBTYPE = "MEMDE000"
      FREE
        MEMORY = 8K
          ADDRESS = 000DE000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

  CHOICE = "A0000h"
      SUBTYPE = "MEMA0000"
      FREE
        MEMORY = 8K
          ADDRESS = 000A0000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "A2000h"
      SUBTYPE = "MEMA2000"
      FREE
        MEMORY = 8K
          ADDRESS = 000A2000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "A4000h"
      SUBTYPE = "MEMA4000"
      FREE
        MEMORY = 8K
          ADDRESS = 000A4000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "A6000h"
      SUBTYPE = "MEMA6000"
      FREE
        MEMORY = 8K
          ADDRESS = 000A6000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "A8000h"
      SUBTYPE = "MEMA8000"
      FREE
        MEMORY = 8K
          ADDRESS = 000A8000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "AA000h"
      SUBTYPE = "MEMAA000"
      FREE
        MEMORY = 8K
          ADDRESS = 000AA000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "AC000h"
      SUBTYPE = "MEMAC000"
      FREE
        MEMORY = 8K
          ADDRESS = 000AC000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "AE000h"
      SUBTYPE = "MEMAE000"
      FREE
        MEMORY = 8K
          ADDRESS = 000AE000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "B0000h"
      SUBTYPE = "MEMB0000"
      FREE
        MEMORY = 8K
          ADDRESS = 000B0000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "B2000h"
      SUBTYPE = "MEMB2000"
      FREE
        MEMORY = 8K
          ADDRESS = 000B2000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "B4000h"
      SUBTYPE = "MEMB4000"
      FREE
        MEMORY = 8K
          ADDRESS = 000B4000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "B6000h"
      SUBTYPE = "MEMB6000"
      FREE
        MEMORY = 8K
          ADDRESS = 000B6000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "B8000h"
      SUBTYPE = "MEMB8000"
      FREE
        MEMORY = 8K
          ADDRESS = 000B8000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "BA000h"
      SUBTYPE = "MEMBA000"
      FREE
        MEMORY = 8K
          ADDRESS = 000BA000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "BC000h"
      SUBTYPE = "MEMBC000"
      FREE
        MEMORY = 8K
          ADDRESS = 000BC000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "BE000h"
      SUBTYPE = "MEMBE000"
      FREE
        MEMORY = 8K
          ADDRESS = 000BE000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "C0000h"
      SUBTYPE = "MEMC0000"
      FREE
        MEMORY = 8K
          ADDRESS = 000C0000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "C2000h"
      SUBTYPE = "MEMC2000"
      FREE
        MEMORY = 8K
          ADDRESS = 000C2000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "C4000h"
      SUBTYPE = "MEMC4000"
      FREE
        MEMORY = 8K
          ADDRESS = 000C4000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "C6000h"
      SUBTYPE = "MEMC6000"
      FREE
        MEMORY = 8K
          ADDRESS = 000C6000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "E0000h"
      SUBTYPE = "MEME0000"
      FREE
        MEMORY = 8K
          ADDRESS = 000E0000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "E2000h"
      SUBTYPE = "MEME2000"
      FREE
        MEMORY = 8K
          ADDRESS = 000E2000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "E4000h"
      SUBTYPE = "MEME4000"
      FREE
        MEMORY = 8K
          ADDRESS = 000E4000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "E6000h"
      SUBTYPE = "MEME6000"
      FREE
        MEMORY = 8K
          ADDRESS = 000E6000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "E8000h"
      SUBTYPE = "MEME8000"
      FREE
        MEMORY = 8K
          ADDRESS = 000E8000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "EA000h"
      SUBTYPE = "MEMEA000"
      FREE
        MEMORY = 8K
          ADDRESS = 000EA000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "EC000h"
      SUBTYPE = "MEMEC000"
      FREE
        MEMORY = 8K
          ADDRESS = 000EC000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

    CHOICE = "EE000h"
      SUBTYPE = "MEMEE000"
      FREE
        MEMORY = 8K
          ADDRESS = 000EE000h
          WRITABLE = YES
          MEMTYPE = OTH
          SIZE = WORD
          CACHE = NO
      INIT = IOPORT(1) LOC(0) 0

